Skip to content

Receiving Costs History ​

http
GET /adv/v1/upd

Base URL: https://advert-api.wildberries.ru · Module: promotion · Section: Finances · Specification doc ↗

The method allows to get a costs history

Request limit per one seller account:

TypePeriodLimitIntervalBurst
Personal1 s1 request1 s5 requests
Service1 s1 request1 s5 requests
Base with secret1 s1 request1 s5 requests
Base1 h1 request1 h1 request

Parameters ​

NameInTypeReq.Description
fromquerystringyesBeginning of the interval
toquerystringyesEnd of interval. (Minimum interval is 1 day, maximum is 31)

Responses ​

CodeDescriptionSchema
200SuccessGetV1UpdResponse200
400Bad requeststring
401Unauthorizedobject
403Access deniedobject
429Too many requestsobject

Structure 200 — object[]:

  • updNum integer<int64> — Billing document number (if any)
  • updTime string<time-date> — Time of charge-off
  • updSum integer<int64> — Amount invoiced in the base units of the seller account currency
  • advertId integer<int64> — Campaign ID
  • campName string — Campaign name
  • advertType integer<int64> — Campaign type
  • paymentType string — Source of charge-off: - Баланс — Balance - Бонусы — Bonuses - Счёт — Money account - Кэшбэк — Debit card cashback
  • advertStatus integer<int64> — Campaign status: - -1 — deleted, the deletion process will be completed within 10 minutes - 4 — ready to be launched - 7 — completed - 8 — declined - 9 — active - 11 — paused

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 403:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.promotion import Configuration, ApiClient
from wb_api_client.promotion.api import PromotionApi

cfg = Configuration(access_token="<your WB JWT>")
api = PromotionApi(ApiClient(cfg))

result = api.get_v1_upd(var_from=..., to=...)
print(result)
ts
import {
  Configuration,
  PromotionApi,
} from "@valeryverkhoturov/wb-api-client/promotion";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new PromotionApi(cfg);

const { data } = await api.getV1Upd(from, to);
console.log(data);
go
import (
	"context"
	"fmt"

	wbpromotion "github.com/ValeryVerkhoturov/wb-api-client-go/promotion"
)

cfg := wbpromotion.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbpromotion.NewAPIClient(cfg)

result, _, err := client.PromotionAPI.GetV1Upd(context.Background()).From(from).To(to).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.promotion.ApiClient;
import io.github.valeryverkhoturov.wbapi.promotion.SecretString;
import io.github.valeryverkhoturov.wbapi.promotion.api.PromotionApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
PromotionApi api = new PromotionApi(client);

System.out.println(api.getV1Upd(from, to));
php
use ValeryVerkhoturov\WbApiClient\Promotion\Configuration;
use ValeryVerkhoturov\WbApiClient\Promotion\SecretString;
use ValeryVerkhoturov\WbApiClient\Promotion\Api\PromotionApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new PromotionApi(new Client(), $config);

print_r($api->getV1Upd($from, $to));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый PromotionApi(Настройки);

Сообщить(Клиент.GetV1Upd(from, _to).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Promotion.Api;
using ValeryVerkhoturov.WbApiClient.Promotion.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new PromotionApi(config);

Console.WriteLine(api.GetV1Upd(from, to));
rust
use wb_api_client::promotion::apis::{configuration::Configuration, promotion_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = promotion_api::get_v1_upd(&cfg, from, to).await;
    println!("{:#?}", result);
}